import numpy as np
import scipy.stats as ss

X = [5.128, 4.0, 4.587, 4.831]
Y = [4.082, 3.571, 3.891, 3.413]

print('X =\n', X)
print('Y =\n', Y)

mean_X = np.mean(X)
mean_Y = np.mean(Y)
M = len(X)
N = len(Y)
sx_2 = np.sum((X - mean_X)**2) / (M - 1)
sy_2 = np.sum((Y - mean_Y)**2) / (N - 1)
s_x_y_2 = (sx_2/M) + (sy_2/N)

t = (mean_X - mean_Y) / (s_x_y_2 ** 0.5)

print("\nt' =", t)

df = (((sx_2/M) + (sy_2/N))**2) / \
       (((sx_2**2) / ((M**2) * (M-1))) + ((sy_2**2) / ((N**2) * (N-1))))
print("df' =", df)
p = ss.t.cdf(t, df)
print("P(X < t') =", p)
print("P(X > t') =", 1-p)
